#
# spec file for package nqc (Version 2.3.r1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bison gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         nqc
Copyright:    1999 David Baum
Group:        Development/Languages
Autoreqprov:  on
Version:      2.3.r1
Release:      36
Summary:      Development system for Lego Mindstorms
Source:  nqc-%{version}.tar.bz2
Source1: NQC_Guide.pdf
Source2: NQC_Manual.pdf
Source3: NQC_Ref.pdf
Patch:   nqc-%{version}.dif

%description
NQC (Not Quite C) is a development system enabling you to create code for
"Lego Mindstorms" robots in a C-like programming language.

Authors:
--------
    dbaum@enteract.com

SuSE series: d

%prep
%setup
%patch

%build
make CC="g++ $RPM_OPT_FLAGS"
strip bin/*

%install
install -m 755 bin/* /usr/bin
install -d -m 755 /usr/lib/nqc
install -m 644 compiler/*.nqh /usr/lib/nqc
cp -a $RPM_SOURCE_DIR/NQC*.pdf .
install -m 644 nqc-man-2.1r1-0.man %{_mandir}/man1/nqc.1

%files
%doc LICENSE PORTING readme.txt history.txt scout.txt test.nqc NQC*.pdf
#%doc manual
/usr/bin/nqc
/usr/lib/nqc
%doc /%{_mandir}/man1/nqc.1.gz
/usr/bin/mkdata

%changelog -n nqc
* Tue Jul 24 2001 - uli@suse.de
- update -> 2.3.r1
* Tue Apr 17 2001 - uli@suse.de
- 64 bit fix
* Mon Dec 04 2000 - uli@suse.de
- update -> 2.2.r2
* Thu Jun 08 2000 - ro@suse.de
- fixed specfile
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Fri Jan 14 2000 - uli@suse.de
- update -> 2.0.2
* Thu Sep 23 1999 - uli@suse.de
- update -> 2.0
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 01 1999 - uli@suse.de
- update 1.2 -> 1.3
* Fri Mar 19 1999 - uli@suse.de
- update 1.1b1 -> 1.2
- PDF/plaintext manual no longer available
* Wed Mar 10 1999 - uli@suse.de
- fixed CFLAGS to make it build on AXP
* Thu Mar 04 1999 - uli@suse.de
- update 1.0b4 -> 1.1b1
* Thu Jan 14 1999 - uli@suse.de
- new package, version 1.0b4
